<?php

class IndexController extends Zend_Controller_Action
{

    public function init()
    {
        /* Initialize action controller here */
    }

    public function indexAction()
    {
        // action body
    }
    
    
public function sidebarAction()
    {
    	
    	MyWeb_Log_ApplicationLogger::addLog($this,3,4);
        MyWeb_plugin::showMe(MyWeb_Log_ApplicationLogger::showLog(),'LOG2');
        
        // action body
        // otestuje, zda byla akce zadĂˇna v prohlĂ­ĹľeÄŤi
        if ($this->getRequest()->getParam('action') == 'sidebar') {
            $this->_redirect('/');
        }
        
        // nastavĂ­ response segment
        $this->_helper->viewRenderer->setResponseSegment('sidebar');
        
        $sidebarMenu = NULL;
        
        $this->view->sidebarMenu = $sidebarMenu;
    }


}

